<?php

namespace EventPortal\Domain\Agenda;

use EventPortal\Domain\Agenda\Models\Agenda;

class Tab
{
    private Agenda $agenda;

    private Sessions $sessions;

    private ActiveTabTracker $activeTabTracker;

    public function __construct(Agenda $agenda, Sessions $sessions, ActiveTabTracker $activeTabTracker)
    {
        $this->agenda = $agenda;
        $this->sessions = $sessions;
        $this->activeTabTracker = $activeTabTracker;
    }

    public function toArray(): array
    {
        return [
            'title' => $this->agenda->date->format('jS F'),
            'active' => $this->activeTabTracker->isActive($this->agenda->date),
            'sessions' => $this->sessions->get(),
        ];
    }
}
