<?php

namespace EventPortal\Tests\Unit\Delegate;

use Carbon\Carbon;
use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class DelegateTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function exclude_recently_updated_delegates()
    {
        Carbon::setTestNow('29-01-2020 12:00:00');
        $delegateA = factory(Delegate::class)->create();

        Carbon::setTestNow('01-02-2020 15:00:00');
        $delegateB = factory(Delegate::class)->create();

        $delegates = Delegate::withoutRecentlyUpdated()->get();

        $this->assertContainsModel($delegateA, $delegates);
        $this->assertNotContainsModel($delegateB, $delegates);
    }
}
